Get a status automation

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/status-automations/{instance_id}

Get a status automation. You must be an administrator.

Path parameters

  • instance_id string(uuid) Required

    Unique identifier of the status automation

Query parameters

  • relations boolean

    Add the related data. The default value is true.

    Default value is true.

Responses

  • 200 application/json

    The status automation

    Hide response attributes Show response attributes object
    • id string(uuid)
    • entity_type string
    • in_conditions object | null
    • in_task_type_id string(uuid) | null Deprecated

      Set for a trigger of one condition with one status only

    • in_task_status_id string(uuid) | null Deprecated

      Set for a trigger of one condition with one status only

    • out_field_type string
    • out_task_type_id string(uuid)
    • out_task_status_id string(uuid) | null
    • out_only_if_task_status_ids array[string(uuid)] | null
    • import_last_revision boolean
    • archived boolean
    • created_at string(date-time)
    • updated_at string(date-time)
  • 400

    The identifier is not a valid UUID

  • 403

    You are not an administrator

  • 404

    The status automation does not exist

GET /data/status-automations/{instance_id}
curl -X GET "http://api.example.com/data/status-automations/a24a6ea4-ce75-4665-a070-57453082c25?relations=true" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/status-automations/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "relations": true
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "entity_type": "asset",
  "in_conditions": {
    "operator": "and",
    "conditions": [
      {
        "task_type_id": "b24a6ea4-ce75-4665-a070-57453082c250",
        "task_status_ids": [
          "c24a6ea4-ce75-4665-a070-57453082c250"
        ]
      },
      {
        "task_type_id": "d24a6ea4-ce75-4665-a070-57453082c250",
        "task_status_ids": [
          "c24a6ea4-ce75-4665-a070-57453082c250",
          "e24a6ea4-ce75-4665-a070-57453082c250"
        ]
      }
    ]
  },
  "in_task_type_id": "string",
  "in_task_status_id": "string",
  "out_field_type": "status",
  "out_task_type_id": "f24a6ea4-ce75-4665-a070-57453082c250",
  "out_task_status_id": "a34a6ea4-ce75-4665-a070-57453082c250",
  "out_only_if_task_status_ids": [
    "string"
  ],
  "import_last_revision": false,
  "archived": false,
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T10:30:00Z"
}